com.sun.grid.jgdi.event

## Class ListEvent

- java.lang.Object
- - com.sun.grid.jgdi.event.Event
  - - com.sun.grid.jgdi.event.ListEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    AdminHostListEvent, AdvanceReservationListEvent, CalendarListEvent, CheckpointListEvent, ClusterQueueListEvent, ComplexEntryListEvent, ConfigurationListEvent, ExecHostListEvent, HostgroupListEvent, JobListEvent, JobSchedulingInfoListEvent, JobTaskListEvent, ManagerListEvent, OperatorListEvent, ParallelEnvironmentListEvent, PETaskListEvent, ProjectListEvent, QueueInstanceListEvent, ResourceQuotaSetListEvent, SchedConfListEvent, ShareTreeListEvent, SubmitHostListEvent, UserListEvent, UserSetListEvent

      public abstract class ListEvent
      extends Event
      implements java.io.Serializable

  Abstract base class for list events
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListEvent(long timestamp, int eventId, java.lang.Class objectType)` Creates a new instance of AbstractListEvent

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.Object obj)` Add a object
    `java.util.List` | `getObjects()` Get the objects we belongs to this list event

    - ### Methods inherited from class com.sun.grid.jgdi.event.Event

      `getEventId, getTimestamp, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ListEvent

          public ListEvent(long timestamp,
                           int eventId,
                           java.lang.Class objectType)

      Creates a new instance of AbstractListEvent

  - ### Method Detail

    - #### add

          public void add(java.lang.Object obj)

      Add a object
      Parameters:
        `obj` - the object

    - #### getObjects

          public java.util.List getObjects()

      Get the objects we belongs to this list event
      Returns:
        list of objects

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.